%define api		0.2
%define major		0
%define libname		%mklibname manette %{api} %{major}
%define girmanettename	%mklibname manette-gir %{api}
%define develname	%mklibname manette -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libmanette
Version:	0.2.9
Release:	%mkrel 1
Summary:	A simple GObject game controller library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/aplazas/libmanette/
Source0:	https://download.gnome.org/sources/libmanette/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{libname}
Summary:	A simple GObject game controller library
Group:		System/Libraries

%description -n	%{libname}
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{girmanettename}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n	%{girmanettename}
GObject Introspection interface description for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girmanettename} = %{version}-%{release}
Provides:	manette-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%doc README.md NEWS
%license COPYING
%{_libdir}/libmanette-%{api}.so.%{major}{,.*}

%files -n %{girmanettename}
%doc README.md NEWS
%{_libdir}/girepository-1.0/Manette-%{api}.typelib

%files -n %{develname}
%doc README.md NEWS
%{_bindir}/manette-test
%{_includedir}/libmanette/
%{_libdir}/libmanette-%{api}.so
%{_libdir}/pkgconfig/manette-%{api}.pc
%{_datadir}/gir-1.0/Manette-%{api}.gir
%{_datadir}/vala/vapi/manette-%{api}.deps
%{_datadir}/vala/vapi/manette-%{api}.vapi


%changelog
* Wed Sep 18 2024 daviddavid <daviddavid> 0.2.9-1.mga10
+ Revision: 2098015
- new version 0.2.9

* Sun Feb 11 2024 daviddavid <daviddavid> 0.2.7-1.mga10
+ Revision: 2040195
- new version 0.2.7

* Sun Apr 03 2022 umeabot <umeabot> 0.2.6-2.mga9
+ Revision: 1841457
- Mageia 9 Mass Rebuild

* Sat Nov 28 2020 ovitters <ovitters> 0.2.6-1.mga8
+ Revision: 1649951
- new version 0.2.6

* Sat Sep 12 2020 ovitters <ovitters> 0.2.5-1.mga8
+ Revision: 1625283
- new version 0.2.5

* Sun Apr 05 2020 ovitters <ovitters> 0.2.4-1.mga8
+ Revision: 1564969
- new version 0.2.4

* Sun Feb 16 2020 umeabot <umeabot> 0.2.3-2.mga8
+ Revision: 1531406
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 ovitters <ovitters> 0.2.3-1.mga8
+ Revision: 1439874
- new version 0.2.3

* Thu Apr 18 2019 umeabot <umeabot> 0.2.2-2.mga7
+ Revision: 1392765
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 0.2.2-1.mga7
+ Revision: 1374294
- new version 0.2.2

* Fri Mar 08 2019 daviddavid <daviddavid> 0.2.1-1.mga7
+ Revision: 1372693
- initial package libmanette

